Hardware Locality (hwloc) 2.11.2

Data Fields
hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s Struct Reference

`#include <diff.h>`

## Data Fields
hwloc_topology_diff_obj_attr_type_t | type
char * | name
char * | oldvalue
char * | newvalue

## Detailed Description

String attribute modification with an optional name.

## Field Documentation

## ◆ name

char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::name

## ◆ newvalue

char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::newvalue

## ◆ oldvalue

char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::oldvalue

## ◆ type

hwloc_topology_diff_obj_attr_type_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::type

The documentation for this struct was generated from the following file:

- diff.h